HOMESICK(1)

NAME
homesick - keep your dotfile in git

DESCRIPTION

  Commands:

homesick cd CASTLE
    # Open a new shell in the root of the given castle

homesick clone URI
    # Clone +uri+ as a castle for homesick

homesick commit CASTLE MESSAGE
    # Commit the specified castle's changes

homesick destroy CASTLE
    # Delete all symlinks and remove the cloned repository

homesick diff CASTLE
    # Shows the git diff of uncommitted changes in a castle

homesick exec CASTLE COMMAND
    # Execute a single shell command inside the root of a castle

homesick exec_all COMMAND
    # Execute a single shell command inside the root of every cloned castle

homesick generate PATH
    # generate a homesick-ready git repo at PATH

homesick help [COMMAND]
    # Describe available commands or one specific command

homesick link CASTLE
    # Symlinks all dotfiles from the specified castle

homesick list
    # List cloned castles

homesick open CASTLE
    # Open your default editor in the root of the given castle

homesick pull CASTLE
    # Update the specified castle

homesick push CASTLE
    # Push the specified castle

homesick rc CASTLE
    # Run the .homesickrc for the specified castle

homesick show_path CASTLE
    # Prints the path of a castle

homesick status CASTLE
    # Shows the git status of a castle

homesick track FILE CASTLE
    # add a file to a castle

homesick unlink CASTLE
    # Unsymlinks all dotfiles from the specified castle

homesick version
    # Display the current version of homesick

  Runtime options:

-f, [--force]
    # Overwrite files that already exist

-p, [--pretend], [--no-pretend]
    # Run but do not make any changes

-q, [--quiet], [--no-quiet]
    # Suppress status output

-s, [--skip], [--no-skip]
    # Skip files that already exist